#include <stdio.h>
#include <rest/rest/rest-proxy.h>
#include <glib.h>
#include <unistd.h>

int main(int argc, char **argv) {

	RestProxy *proxy;
	RestProxyCall *call;
	const gchar *payload;
	const char *text;
	gssize len;

	g_thread_init(NULL);
	g_type_init();

	if (argc > 1) {
		text = argv[1];
	} else {
		text = "Hola Mundo";
	}

	proxy = rest_proxy_new(
			"http://ajax.googleapis.com/ajax/services/language/translate",
			FALSE);
	call = rest_proxy_new_call(proxy);

	rest_proxy_call_add_params(call,
			"v", "1.0",
			"q", text,
			"langpair","es|en",
			NULL);
	rest_proxy_call_run(call, NULL, NULL);

	payload = rest_proxy_call_get_payload(call);
	len = rest_proxy_call_get_payload_length(call);
	write(1, payload, len);
	printf("\n");
	g_object_unref(call);
	g_object_unref(proxy);
}
